CRM ContactsCreate a contact

Create a contact

Create a single CRM contact. Custom fields may be sent as top-level properties.

curl -X POST "https://api.talkturo.com/api/crm/contacts" \
  -H "Content-Type: application/json" \
  -d '{
  "first_name": "John Doe",
  "last_name": "John Doe",
  "email": "user@example.com",
  "phone": "+1-555-0123",
  "company_id": "example_string",
  "job_title": "example_string",
  "lead_source": "example_string"
}'
{
  "success": true,
  "contact": {
    "id": "example_string",
    "first_name": "John Doe",
    "last_name": "John Doe",
    "email": "user@example.com",
    "phone": "+1-555-0123",
    "company_id": "example_string",
    "job_title": "example_string",
    "lead_source": "example_string"
  }
}
POST
/crm/contacts
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (cookie: sb-access-token)
sb-access-tokenstring
Required

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

path
parameterstring
Required

API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.

Responses

successboolean
contactobject